### Class

# PapersDocument RenderContext

#### Description

    class PapersDocument.RenderContext : GObject.Object
    {
      PpsPage* page,
      gint rotation,
      gdouble scale,
      gint target_width,
      gint target_height,
      PpsRenderAnnotsFlags annot_flags
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### pps_render_context_new

No description available.

#### Instance methods

###### pps_render_context_compute_scaled_size

No description available.

###### pps_render_context_compute_scales

No description available.

###### pps_render_context_compute_transformed_size

No description available.

###### pps_render_context_set_page

No description available.

###### pps_render_context_set_rotation

No description available.

###### pps_render_context_set_scale

No description available.

###### pps_render_context_set_target_size

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersDocumentRenderContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.